GET api/patientcommunications/search?status={status}&creationDateOperator={creationDateOperator}&utcCreationDate1={utcCreationDate1}&utcCreationDate2={utcCreationDate2}&alreadySent={alreadySent}&patientExternalId={patientExternalId}&appointmentExternalId={appointmentExternalId}&outgoing={outgoing}&page={page}&itemsPerPage={itemsPerPage}

Returns a list of patient communications.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
status

Current Status of patient communication. Possible values: Succeed, Failed, Delayed, NotAcceptedByPatient and Retried

string

Default value is empty string ("")

creationDateOperator

Date creation a patient communication's comparison operators. Possible values: NotCompare (equals to empty string ""), Equals, GreaterThan, LessThan, GreaterThanOrEqual, LessThanOrEqual, Between, DifferentThan, Contains, StartsWith

string

Default value is empty string ("")

utcCreationDate1

Date that is created a patient communication.

date

None.

utcCreationDate2

Second date that is created a patient communication.

date

None.

alreadySent

Filter patient communications on whether they are already sent or not.

boolean

None.

patientExternalId

Patient's unique ID on integrating system.

string

Default value is empty string ("")

appointmentExternalId

Appointment's unique ID on integrating system.

string

Default value is empty string ("")

outgoing

Filter patient communications on whether they are outgoing or not.

boolean

None.

page

Page number requested (search results are paginated).

integer

Default value is 1

itemsPerPage

Items to return on each page. See page parameter above.

integer

Default value is 10

Body Parameters

None.

Response Information

Resource Description

ListModelOfPatientCommunicationModel
NameDescriptionTypeAdditional information
TotalItems

integer

None.

ItemsPerPage

integer

None.

CurrentPage

integer

None.

TotalPages

integer

None.

FirstRowOnPage

integer

None.

LastRowOnPage

integer

None.

Rows

Collection of PatientCommunicationModel

None.

Response Formats

application/json, text/json

Sample:
{
  "totalItems": 1,
  "itemsPerPage": 2,
  "currentPage": 3,
  "totalPages": 4,
  "firstRowOnPage": 5,
  "lastRowOnPage": 6,
  "rows": [
    {
      "patientCommunicationID": "e2cf0138-d194-4902-8de5-dfe8c56df3c1",
      "accountName": "sample string 1",
      "created": "2026-05-29T16:59:21.4462797+00:00",
      "createdUtc": "2026-05-29T16:59:21.4462797+00:00",
      "method": "sample string 18",
      "type": "sample string 19",
      "status": "sample string 20",
      "allowToCancelAppointmentsDuringCommunications": true,
      "from": "sample string 5",
      "to": "sample string 6",
      "messageSubject": "sample string 7",
      "messageBody": "sample string 8",
      "messageVoiceHuman": "sample string 9",
      "messageVoiceMachine": "sample string 10",
      "outgoing": true,
      "locationPhoneNumber": "sample string 12",
      "patientExternalId": "sample string 21",
      "eyewearReadySetToStatusId": "a0b742bc-3831-4958-8e5b-c446e394e5cc",
      "appointmentStatusExternalId": "sample string 15",
      "alreadySent": true,
      "appointmentExternalId": "sample string 14",
      "targetObjectExternalId": "sample string 16"
    },
    {
      "patientCommunicationID": "e2cf0138-d194-4902-8de5-dfe8c56df3c1",
      "accountName": "sample string 1",
      "created": "2026-05-29T16:59:21.4462797+00:00",
      "createdUtc": "2026-05-29T16:59:21.4462797+00:00",
      "method": "sample string 18",
      "type": "sample string 19",
      "status": "sample string 20",
      "allowToCancelAppointmentsDuringCommunications": true,
      "from": "sample string 5",
      "to": "sample string 6",
      "messageSubject": "sample string 7",
      "messageBody": "sample string 8",
      "messageVoiceHuman": "sample string 9",
      "messageVoiceMachine": "sample string 10",
      "outgoing": true,
      "locationPhoneNumber": "sample string 12",
      "patientExternalId": "sample string 21",
      "eyewearReadySetToStatusId": "a0b742bc-3831-4958-8e5b-c446e394e5cc",
      "appointmentStatusExternalId": "sample string 15",
      "alreadySent": true,
      "appointmentExternalId": "sample string 14",
      "targetObjectExternalId": "sample string 16"
    }
  ]
}

application/xml, text/xml

Sample:
<ListModelOfPatientCommunicationModel0t6xyKmJ xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">
  <CurrentPage>3</CurrentPage>
  <FirstRowOnPage>5</FirstRowOnPage>
  <ItemsPerPage>2</ItemsPerPage>
  <LastRowOnPage>6</LastRowOnPage>
  <Rows xmlns:d2p1="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.PatientCommunications">
    <d2p1:PatientCommunicationModel>
      <d2p1:AccountName>sample string 1</d2p1:AccountName>
      <d2p1:AllowToCancelAppointmentsDuringCommunications>true</d2p1:AllowToCancelAppointmentsDuringCommunications>
      <d2p1:AlreadySent>true</d2p1:AlreadySent>
      <d2p1:AppointmentExternalId>sample string 14</d2p1:AppointmentExternalId>
      <d2p1:AppointmentStatusExternalId>sample string 15</d2p1:AppointmentStatusExternalId>
      <d2p1:Created>2026-05-29T16:59:21.4462797+00:00</d2p1:Created>
      <d2p1:CreatedUtc>2026-05-29T16:59:21.4462797+00:00</d2p1:CreatedUtc>
      <d2p1:EyewearReadySetToStatusId>a0b742bc-3831-4958-8e5b-c446e394e5cc</d2p1:EyewearReadySetToStatusId>
      <d2p1:From>sample string 5</d2p1:From>
      <d2p1:LocationPhoneNumber>sample string 12</d2p1:LocationPhoneNumber>
      <d2p1:MessageBody>sample string 8</d2p1:MessageBody>
      <d2p1:MessageSubject>sample string 7</d2p1:MessageSubject>
      <d2p1:MessageVoiceHuman>sample string 9</d2p1:MessageVoiceHuman>
      <d2p1:MessageVoiceMachine>sample string 10</d2p1:MessageVoiceMachine>
      <d2p1:Method>sample string 18</d2p1:Method>
      <d2p1:Outgoing>true</d2p1:Outgoing>
      <d2p1:PatientCommunicationID>e2cf0138-d194-4902-8de5-dfe8c56df3c1</d2p1:PatientCommunicationID>
      <d2p1:PatientExternalId>sample string 21</d2p1:PatientExternalId>
      <d2p1:Status>sample string 20</d2p1:Status>
      <d2p1:TargetObjectExternalId>sample string 16</d2p1:TargetObjectExternalId>
      <d2p1:To>sample string 6</d2p1:To>
      <d2p1:Type>sample string 19</d2p1:Type>
    </d2p1:PatientCommunicationModel>
    <d2p1:PatientCommunicationModel>
      <d2p1:AccountName>sample string 1</d2p1:AccountName>
      <d2p1:AllowToCancelAppointmentsDuringCommunications>true</d2p1:AllowToCancelAppointmentsDuringCommunications>
      <d2p1:AlreadySent>true</d2p1:AlreadySent>
      <d2p1:AppointmentExternalId>sample string 14</d2p1:AppointmentExternalId>
      <d2p1:AppointmentStatusExternalId>sample string 15</d2p1:AppointmentStatusExternalId>
      <d2p1:Created>2026-05-29T16:59:21.4462797+00:00</d2p1:Created>
      <d2p1:CreatedUtc>2026-05-29T16:59:21.4462797+00:00</d2p1:CreatedUtc>
      <d2p1:EyewearReadySetToStatusId>a0b742bc-3831-4958-8e5b-c446e394e5cc</d2p1:EyewearReadySetToStatusId>
      <d2p1:From>sample string 5</d2p1:From>
      <d2p1:LocationPhoneNumber>sample string 12</d2p1:LocationPhoneNumber>
      <d2p1:MessageBody>sample string 8</d2p1:MessageBody>
      <d2p1:MessageSubject>sample string 7</d2p1:MessageSubject>
      <d2p1:MessageVoiceHuman>sample string 9</d2p1:MessageVoiceHuman>
      <d2p1:MessageVoiceMachine>sample string 10</d2p1:MessageVoiceMachine>
      <d2p1:Method>sample string 18</d2p1:Method>
      <d2p1:Outgoing>true</d2p1:Outgoing>
      <d2p1:PatientCommunicationID>e2cf0138-d194-4902-8de5-dfe8c56df3c1</d2p1:PatientCommunicationID>
      <d2p1:PatientExternalId>sample string 21</d2p1:PatientExternalId>
      <d2p1:Status>sample string 20</d2p1:Status>
      <d2p1:TargetObjectExternalId>sample string 16</d2p1:TargetObjectExternalId>
      <d2p1:To>sample string 6</d2p1:To>
      <d2p1:Type>sample string 19</d2p1:Type>
    </d2p1:PatientCommunicationModel>
  </Rows>
  <TotalItems>1</TotalItems>
  <TotalPages>4</TotalPages>
</ListModelOfPatientCommunicationModel0t6xyKmJ>